Peplink Portal Docs
Starlink Accounts

Retrieve a Starlink Account

Retrieve the details of a Starlink account.

Required Capabilities

Starlink Viewer

Request

GET/starlink/accounts/{refId}

Path parameters

refIdstringrequired

Reference ID of the Starlink account to retrieve.

Response

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the Starlink account.

businessNamestring

Business name of the Starlink account.

countryCodestring

Country code of the Starlink account.

initialContactobject

Initial contact of the starlink account. It is the authorized representative when you create this starlink account.

Show child attributes
initialContact.firstNamestring

First name of the initial contact.

initialContact.lastNamestring

Last name of the initial contact.

initialContact.emailstring

Email of the initial contact.

initialContact.phonestring

Phone number of the initial contact.

statusenum

Status of the Starlink account.

  • INITIALIZING — The account is initializing and system is syncing with Starlink.
  • PENDING_LOA — Awaiting Authorized Representative to sign the LOA in the Starlink Dashboard.
  • PENDING_STARLINK_REVIEW — Awaiting Starlink to review the account.
  • ACTIVE — Account is active and fully operational.
  • TERMINATED — Account is terminated and service has been permanently stopped.
starlinkAccountNumbernullable string

Starlink account number of the Starlink account. null if not applicable.

starlinkSyncobject

Starlink sync information of the account.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the account. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the account sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the account sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the account was synced. null if not applicable.

createdAtdatetime string

Date and time the account was created.

createdBystring

Username of the user who created the account.

createdByEmailnullable string

Email of the user who created the account. null if not applicable.

updatedAtdatetime string

Date and time the account was last updated.

updatedBystring

Username of the user who last updated the account.

updatedByEmailnullable string

Email of the user who last updated the account. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/accounts/{refId}' \  -H 'Authorization: Bearer {token}'

Response

{
  "refId": "108",
  "businessName": "ABCDE Inc.",
  "countryCode": "US",
  "initialContact": {
    "firstName": "Alice",
    "lastName": "C",
    "email": "[email protected]",
    "phone": "+12319291386"
  },
  "status": "PENDING_LOA",
  "starlinkAccountNumber": "ACC-DF-XXXXXXXX-XXXXX-XX",
  "starlinkSync": {
    "syncStatus": "SYNCED",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": "2026-03-01T07:13:50.828Z"
  },
  "createdAt": "2026-02-26T12:51:19.443Z",
  "createdBy": "Jane Doe",
  "createdByEmail": null,
  "updatedAt": "2026-03-25T02:00:04.314Z",
  "updatedBy": "System",
  "updatedByEmail": null
}

On this page